
QGIS Application - Bug report #16435

Expression history combo box in 'Select by expression' dialog

2017-04-10 11:35 PM - Simon Gröchenig

Status: Closed

Priority: Normal

Assignee:

Category: Map Tools

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 24344

Description

As I often use same/similar expressions in the 'Select by expression' dialog, I miss a combo box with previous expressions.

History

#1 - 2017-04-10 11:36 PM - Simon Gröchenig

By selecting one of the previous expressions, it can be inserted into the text field.

#2 - 2017-05-01 01:01 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#3 - 2018-03-08 01:19 PM - Nino Formica

- File recent_selection.png added

I think this is not a bug but a feature request.

Anyway in "Select by expression" (QGIS 2.18.17) it's already there a "Recent selection" item (look at attachment): I believe this is enough !?

#4 - 2018-03-08 01:22 PM - Giovanni Manghi

- Status changed from Open to Feedback

Nino Formica wrote:

I think this is not a bug but a feature request. I believe this is enough !?

agree

#5 - 2018-03-20 08:39 AM - Simon Gröchenig

The "Recent Selection" item is good enough!

Issue can be closed
#6 - 2018-03-20 09:38 AM - Nyall Dawson

- Resolution set to invalid

- Status changed from Feedback to Closed

Files

recent_selection.png 56.3 KB 2018-03-08 Nino Formica
